%define module_name Bio-PDB-Structure
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Math/Trig.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: Perl module for parsing and manipulating Protein Databank (PDB) files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RULIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module combines tools that are commonly used to analyze proteins and
nucleic acids from a pdb file stuctures. The main benefits of using the module
are its ability to parse and print out a pdb structure with minimum effort.
However in addition to that it is possible to do structural alignments, RMSD
calculations, atom editons, center of mass calculations, molecule editions
and so forth. Both Atom objects and Molecule objects are defined within
this module.

%prep
%setup -q -n %{module_name}-0.01

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2
- updated summary

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

